summaryrefslogtreecommitdiff
path: root/tests/tail-2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2')
-rwxr-xr-xtests/tail-2/follow-stdin.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/tests/tail-2/follow-stdin.sh b/tests/tail-2/follow-stdin.sh
index 3d51f6006..51ce82b0e 100755
--- a/tests/tail-2/follow-stdin.sh
+++ b/tests/tail-2/follow-stdin.sh
@@ -52,13 +52,14 @@ done
# Before coreutils-8.26 this would induce an UMR under UBSAN
-returns_ 1 timeout 10 tail -f - <&- 2>err || fail=1
+returns_ 1 timeout 10 tail -f - <&- 2>errt || fail=1
cat <<\EOF >exp || framework_failure_
-tail: cannot fstat 'standard input': Bad file descriptor
-tail: error reading 'standard input': Bad file descriptor
+tail: cannot fstat 'standard input'
+tail: error reading 'standard input'
tail: no files remaining
-tail: -: Bad file descriptor
+tail: -
EOF
+sed 's/\(tail:.*\):.*/\1/' errt > err || framework_failure_
compare exp err || fail=1